Subject: [PATCH 0/6] gnu: po4a: Update to 0.68

From: gemmaro <[email-masked]>
Date: Sat, 31 Dec 2022 14:56:13 +0900

Hello Guix,

This patch updates po4a to 0.68.  It also includes additional dependencies
required with the update.

I have tried running "make as-derivation" with the following suggestion.  Then
I observed warnings that po4a should be used instead of po4a-translate.  I
don't think there were any other errors related to po4a.
https://lists.gnu.org/archive/html/guix-patches/2021-07/msg00030.html

Another side effect that comes to mind is that if the po4a parser has changed,
it is possible that some of the entries in the translations will be fuzzy.

I wrote this patch for my personal Markdown translation needs.  And it appears
to be working well for this format.

Regards,
gemmaro

gemmaro (6):
  gnu: Add perl-text-charwidth
  gnu: Add perl-xs-parse-keyword
  gnu: Add perl-text-wrapi18n
  gnu: Add perl-syntax-keyword-try
  gnu: po4a: Update to 0.68
  Update copyright

 gnu/packages/gettext.scm | 49 +++++++++++---------
 gnu/packages/perl.scm    | 96 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 125 insertions(+), 20 deletions(-)

base-commit: 8e883dc8210d4a7c3f09961994685ed54942fd73
-- 
2.38.1